Skip to main content
POST
Enable monitor
Enabling a monitor will resume its DNS checks.

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Path Parameters

monitor_id
string
required

Response

Monitor enabled

DNS monitoring configuration

id
string

Monitor identifier with 'mon_' prefix

Example:

"mon_abc123..."

created
string<date-time>

Monitor creation datetime in ISO 8601 format

domain
string

Domain name to monitor

Example:

"example.com"

subdomain
string

Subdomain to monitor (empty string for apex)

Example:

"www"

record_type
enum<string>

DNS record type to monitor

Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
PTR,
SPF,
CAA
expected_value
string[]

Expected DNS record values (up to 10)

Example:
current_value
string[] | null

Current DNS record values

Example:
is_exact_match
boolean

If set to false, special rules applies depending on the record_type. See documentation for details.

state
enum<string> | null

Current monitoring state

Available options:
UNSET,
VALID,
INVALID,
TIMEOUT,
MISMATCH,
NOT_FOUND,
NO_DATA,
BAD_SETUP
incidence_count
integer

Number of incidents/changes detected

last_checked
string<date-time> | null

Datetime of the last check in ISO 8601 format

is_active
boolean

Whether monitoring is active

notify
enum<string>

Notification timing: 'immediately' notifies as soon as the value changes, 'on_success' notifies only when the value becomes valid, 'after_success' notifies only when the value goes from valid to invalid

Available options:
immediately,
on_success,
after_success